package hk.advanpro.android.sdk.device.callback;

import hk.advanpro.android.sdk.device.result.DeviceScanResult;

/**
 * 低耗功蓝牙设备扫描回调接口。
 * Created by yejianfei on 2017/6/7.
 */

public abstract class DeviceManagerScanFilterCallback<T extends DeviceScanResult> implements DeviceManagerScanCallback {

    @Override
    public void onScanning(DeviceScanResult result) {
        if (onFilter(result)) {
            onFilterScanning(result);
        }
    }


    /**
     * 筛选 DeviceScanResult
     *
     * @param result DeviceScanResult
     * @return 筛选成功返回 true ,失败false
     */
    public boolean onFilter(DeviceScanResult result) {
        return onAddressFilter(result.getAddress());
    }

    public abstract void onFilterScanning(DeviceScanResult result);

    /**
     * 根据mac地址，过滤DeviceScanResult
     *
     * @param address address
     * @return boolean
     */
    public abstract boolean onAddressFilter(String address);
}
