package hk.advanpro.android.sdk.device.callback;

import android.os.Handler;
import android.os.Looper;
import android.os.Message;

import hk.advanpro.android.sdk.device.Device;

/**
 * 用于设备断开连接后的回调接口。
 * 可以直接在回调中更新UI
 * Created by jalin on 2017/7/17.
 */

public abstract class MainThreadDeviceDisconnectCallback implements DeviceDisconnectCallback {
    private final static Handler handler = new Handler(Looper.getMainLooper()) {
        @Override
        public void handleMessage(Message msg) {
            super.handleMessage(msg);
        }
    };

    public void onSucceed(final Device device) {
        handler.post(new Runnable() {
            @Override
            public void run() {
                onMainThreadSucceed(device);
            }
        });
    }

    public void onError(final Device device, final DeviceCallbackException error) {
        handler.post(new Runnable() {
            @Override
            public void run() {
                onMainThreadError(device, error);
            }
        });
    }

    public abstract void onMainThreadSucceed(Device device);

    public abstract void onMainThreadError(Device device, DeviceCallbackException error);
}
