package hk.advanpro.android.sdk.utils;

import java.security.MessageDigest;

/**
 * Created by jalin on 2017/8/2.
 */

public class MD5Utils {

    /**
     * 获取经过MD5加密后的字符串
     *
     * @param plainText 要加密的字符串
     * @return 经过MD5算法加密的字符串形式的32位16进制, 如果参数表示的字符串为空，返回null
     */
    public static String getMD5Code(String plainText) {
        if (plainText != null) {
            try {
                MessageDigest messageDigest = MessageDigest.getInstance("MD5");
                messageDigest.update(plainText.getBytes());
                return bytesToString(messageDigest.digest());
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
        return "";
    }
    public static String bytesToString(byte[] src) {
        StringBuilder stringBuilder = new StringBuilder();
        if (src == null || src.length <= 0) {
            return null;
        }
        for (byte aSrc : src) {
            int v = aSrc & 0xFF;
            String hv = Integer.toHexString(v);
            if (hv.length() < 2) {
                stringBuilder.append(0);
            }
            stringBuilder.append(hv);
        }
        return stringBuilder.toString();
    }
}
